# FoundationClasses
TKAdvTools
Expr

# Expr_RUIterator Class Reference

Iterates on NamedUnknowns in a GeneralRelation.
.

`#include <Expr_RUIterator.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Expr_RUIterator (const Handle(Expr_GeneralRelation)&rel)
| Creates an iterator on every NamedUnknown contained in <rel>. .
Standard_EXPORT Standard_Boolean | More () const
| Returns False if on other unknown remains. .
Standard_EXPORT void | Next ()
Standard_EXPORT Handle_Expr_NamedUnknown | Value () const
| Returns current NamedUnknown. Raises exception if no more unknowns remain. .

## Private Attributes

Expr_MapOfNamedUnknown | myMap
Standard_Integer | myCurrent

## Constructor & Destructor Documentation

Standard_EXPORT Expr_RUIterator::Expr_RUIterator | ( | const Handle(Expr_GeneralRelation)& | rel | ) |

## Member Function Documentation

Standard_EXPORT Standard_Boolean Expr_RUIterator::More | ( |  | ) | const

Standard_EXPORT void Expr_RUIterator::Next | ( |  | ) |

void Expr_RUIterator::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Expr_RUIterator::operator new | ( | size_t | size | ) | `[inline]`

void* Expr_RUIterator::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Handle_Expr_NamedUnknown Expr_RUIterator::Value | ( |  | ) | const

## Field Documentation

Standard_Integer Expr_RUIterator::myCurrent `[private]`

Expr_MapOfNamedUnknown Expr_RUIterator::myMap `[private]`

The documentation for this class was generated from the following file:

- Expr_RUIterator.hxx